=== debian/changelog ===
libqapt (3.0.5-5) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113189)
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Oct 2025 07:26:45 +0200

libqapt (3.0.5-4) unstable; urgency=medium

  * Disable the utilities based on KDE Frameworks 5, as they are either not
    used, not usable in a Qt 6 based Plasma environment, or potentially not
    working: (Closes: #667070, #667524, #725721, #986010, #989807)
    - drop various build dependencies: libdebconf-kde-dev, libglib2.0-dev,
      libgstreamer-plugins-base1.0-dev, libgstreamer1.0-dev,
      libkf5coreaddons-dev, libkf5i18n-dev, libkf5iconthemes-dev, libkf5kio-dev,
      libkf5plasma-dev, libkf5runner-dev, libkf5textwidgets-dev,
      libkf5widgetsaddons-dev, and libkf5windowsystem-dev
    - drop binary packages for them: qapt-batch, qapt-deb-installer,
      plasma-runner-installer, kde-thumbnailer-deb, gstreamer-qapt, and the
      metapackage qapt-utils
    - drop translations of dropped components
  * Bump Standards-Version to 4.7.2, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Replace the policykit-1-gnome alternative dependency in libqapt3-runtime
    with a more generic polkit-1-auth-agent: the KDE agent is still the first
    option, and now other agents are allowed as well.
  * Simplify some GPL & LGPL license texts in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Apr 2025 13:59:12 +0200

libqapt (3.0.5-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + kde-thumbnailer-deb: Add Multi-Arch: same.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 2.8.12).
    + Build-Depends: Drop versioned constraint on extra-cmake-modules (>=
      0.0.14).
    + Build-Depends: Drop versioned constraint on libapt-pkg-dev (>= 0.8.0).
    + Build-Depends: Drop versioned constraint on libdebconf-kde-dev (>= 1.0.0).
    + Build-Depends: Drop versioned constraint on libkf5auth-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5coreaddons-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5i18n-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5iconthemes-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5kio-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5runner-dev (>= 5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5textwidgets-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5widgetsaddons-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libkf5windowsystem-dev (>=
      5.0.0).
    + Build-Depends: Drop versioned constraint on libpolkit-qt5-1-dev (>=
      0.112).
    + Build-Depends: Drop versioned constraint on pkg-kde-tools (>> 0.15.15).
    + Build-Depends: Drop versioned constraint on qtbase5-dev (>= 5.8.0).
    + libqapt-dev: Drop versioned constraint on qtbase5-dev (>= 5.2.0) in
      Depends.
    + gstreamer-qapt: Drop conflict with removed package gstreamer0.10-qapt (<<
      3~) in Replaces.
    + gstreamer-qapt: Drop conflict with removed package gstreamer0.10-qapt (<<
      3~) in Breaks.

  [ Arun Kumar Pariyar ]
  * Add a patch to fix FTBFS by using C++17 (closes: #1089202).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Dec 2024 01:15:06 +0300

libqapt (3.0.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Remove listed license files (cmake/modules/COPYING-CMAKE-SCRIPTS) from
    copyright.
  * Bump watch file to v4, no changes required.
  * Switch Homepage & Source to the current upstream repository.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Drop the migration from qapt-dbg, no more needed after two Debian stable
    releases.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Add #include's needed with newer versions of GCC; patch
    missing-includes.diff.
  * Update lintian overrides.
  * Update Maintainer to the canonical form.
  * CI: disable reprotest path variations for now.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jul 2022 07:37:06 +0200

libqapt (3.0.5-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Drop the transitional package gstreamer0.10-qapt (Closes: 940751)

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.8.0
    - explicitly add gettext
  * Update the patches:
    - 0001-Fix-Package-supportedUntil-never-getting-the-date.patch: drop,
      backported from upstream
    - apt-1.9.0.patch: drop, fixed upstream
    - apt-1.9.11.patch: drop, fixed upstream
  * Update Vcs-* fields.
  * Add the configuration for the CI on salsa.
  * Update symbols file.
  * Remove the commented 'testsuite' autopkgtest.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update watch file.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Apr 2020 10:08:09 +0200

libqapt (3.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * apt 2.0 porting (Closes: #953308)
    - Port to APT 1.9.0

