=== debian/control ===
Source: libqapt
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libapt-pkg-dev,
               libkf5auth-dev,
               libpolkit-qt5-1-dev,
               libxapian-dev,
               pkgconf,
               pkg-kde-tools,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/system/libqapt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qapt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qapt.git

Package: libqapt3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqapt3-runtime (= ${binary:Version})
Description: QApt library package
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the QApt library

Package: libqapt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libapt-pkg-dev,
         libqapt3 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Development headers for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the development headers for the QApt library

Package: libqapt3-runtime
Architecture: any
Depends: polkit-kde-agent-1 | polkit-1-auth-agent,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Runtime components for the QApt library
 LibQApt is a Qt wrapper around the libapt-pkg library as well as an APT
 implementation using libapt-pkg. The aim is to provide a sane API for
 package management to ease the development of package managers written in Qt
 and C++
 .
 This package contains the runtime components necessary for applications using
 the QApt library to run.
