=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_test:
	# Disable dh_auto_test
	:

execute_after_dh_auto_install:
	# drop translations of not shipped components
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/plasma_runner_installer.qm
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/qapt-deb-installer.qm
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/qapt-gst-helper.qm
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/qaptbatch.qm
