## libqapt 3.0.5.2

=== debian/changelog ===
libqapt (3.0.5.2-deepin2) unstable; urgency=medium

  * Add unistd.h to avoid build errors on aarch64 architecture.
    - Add patch 0003-add-unistd-header-fix-arm64-error.patch

 -- renbin <renbin@uniontech.com>  Mon, 23 Oct 2023 16:36:14 +0800

libqapt (3.0.5.1-1-deepin1) unstable; urgency=medium

  * New version 3.0.5.1-1-deepin1

 -- huangzhenglin <huangzhenglin@uniontech.com>  Wed, 4 Jan 2023 16:35:35 +0800

libqapt (3.0.5-1+deepin1~) unstable; urgency=medium

  * Add dde-polkit-agent depend for libqapt3-runtime
  * Add patch 0001-add-zh_CN-translate.patch
  * Add patch 0002-add-interface-get-provides-version.patch

 -- wangzhengyang <wangzhengyang@uniontech.com>  Fri, 30 Dec 2022 11:08:09 +0800
